Subject: Re: [X2Go-Dev] Bug#1334: Bidirectional clipboard mode stops working with Windows 10 x2goclient

From: Aki Ketolainen <[email-masked]>
Date: Fri, 12 Oct 2018 08:13:07 +0000

On 2018-10-11 14:24, Ulrich Sibiller wrote:

> Thanks! This sounds a bit like a off-by-one problem in the clipboard 
> code.
> 
> However, to break this down further I want to rule out some
> components. First, can you please verify if this is somehow
> reproducable on a Linux client?

The bidirectional clipboard mode doesn't break with the Linux 
x2goclient,
in either MATE desktop or Plasma 4 desktop. I'm using x2goclient 
v4.1.1.1
on Fedora 27 client machine.

> Next I would like to try and take x2go out of the equation:
> - run vcxsrv on windows (vcxsrv.exe -multiwindow -ac :121)
> - ssh to the Linux server (e.g. with putty) and point the DISPLAY
> variable to the VcXsrv on windows (export 
> DISPLAY=:<windowsmachine>:121)
> Note: you might have to disable the windows firewall
> - run nxagent -ac :123 in the shell on the server -> you will get the
> nxagent window on you Windows desktop
> - in a second shell on the server point the DISPLAY variable to :123
> and start the MATE session (export DISPLAY=:123;
> STARTUP=mate-session dbus-run-session /etc/X11/Xsession)
> Now repeat your editor tests.
> 
> Uli

I used PuTTY's X11 forwarding/tunneling to do this. The bidirectional
clipboard mode breaks in the same way with this method in both MATE
desktop and Plasma 4 desktop.

Best regards,

Aki